/****************************************************************************
 ** This file is part of the MAIA (Malagasy Artificial Intelligence Art) Open Project.
 **
 ** Copyright (C) 2012, 2013 ANDRIAMILAMINA Monge.
 ** All rights reserved.
 **
 ** License: GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007.
 ** Author:  ANDRIAMILAMINA Monge.
 ** Contact: mongemilamina@gmail.com / +261 34 45 062 85.
 ** Year:    2013.
 ** Status:  MAIA Senior Engineer, Madagasikara, Antananarivo.
 ** Domain:  Automatic.
 **
 ** Commercial Usage
 ** Please contact MAIA.
 **
 ** GNU General Public License Usage
 ** This file may be used under the terms of the GNU
 ** General Public License version 3.0 as published by the Free Software
 ** Foundation and appearing in the file LICENSE.GPL included in the
 ** packaging of this file.  Please review the following information to
 ** ensure the GNU General Public License version 3.0 requirements will be
 ** met: http://www.gnu.org/copyleft/gpl.html.
 **
 ** If you have questions regarding the use of this file, please contact
 ** the Author.
 **
 ****************************************************************************/

#include <QtGui/QApplication>
#include "unitconv.h"
#include <QSplashScreen>
#include <QTranslator>
#include <QString>
#include <unistd.h>

int main(int argc, char *argv[])
{
    QApplication myAppli(argc, argv);

    QString myLocaleLang = QLocale::system().name().section("_", 0, 0);

    QTranslator myTranslator;
    myTranslator.load(":qrc_transl/unitconv_" + myLocaleLang);
    //myTranslator.load(":qrc_transl/unitconv_ru");
    myAppli.installTranslator(&myTranslator);
    UnitConv myWindow;
    myWindow.setWindowTitle("MAIA Unit Conv 1.3");
    myWindow.setWindowIcon(QIcon(":/qrc_icons/icons/MAIA_icon.png"));

    QPixmap myPixmap(":/qrc_icons/icons/MAIA_Splash_UnitConv.png");
    QSplashScreen mySplash(myPixmap);
    mySplash.show();
    myAppli.processEvents();
    sleep(1);
    myAppli.processEvents();
    sleep(1);
    myAppli.processEvents();
    sleep(0.5);
    mySplash.close();

    myWindow.setFixedSize(620, 165);
    myWindow.show();
    return myAppli.exec();
}
